#########################################################################
# XDAQ Components for Distributed Data Acquisition                      #
# Copyright (C) 2000-2022, CERN.                                        #
# All rights reserved.                                                  #
# Authors: L. Orsini and D. Simelevicius                                #
#                                                                       #
# For the lice nsing terms see LICENSE.                                  #
# For the list of contributors see CREDITS.                             #
#########################################################################

##
#
# Makefile for folkart
#
##

#
# Packages to be built
#
BUILD_HOME:=$(shell pwd)

BUILD_SUPPORT=build
PROJECT_NAME=folkart


include $(XDAQ_ROOT)/$(BUILD_SUPPORT)/mfAutoconf.rules
include $(XDAQ_ROOT)/$(BUILD_SUPPORT)/mfDefs.$(XDAQ_OS)

Project=$(PROJECT_NAME)
PackageName=$(shell pwd | awk -F"/" '{split($$0,a,"/");  print a[NF]}')
PackageType=$(shell pwd | awk -F"/" '{split($$0,a,"/");  print a[NF-1]}')
Package=$(PackageName)

ifndef BUILD_VERSION
BUILD_VERSION=-
endif

ifndef PACKAGE_RELEASE
PACKAGE_RELEASE=
endif


PACKAGE_VER_MAJOR=1
PACKAGE_VER_MINOR=0
PACKAGE_VER_PATCH=0

TEMPLATEDIR=$(BUILD_HOME)

build: _buildall

_buildall: all

_all: all

default: all

all: 
	echo $(PackageName)
	echo $(TEMPLATEDIR)
	$(MAKE) -f $(TEMPLATEDIR)/k8s.makefile
_installall: install

install: 

_cleanall: clean

clean:
	$(MAKE) -f $(TEMPLATEDIR)/k8s.makefile clean

_packageall: package

package:
	$(MAKE) -f $(TEMPLATEDIR)/k8s.makefile BUILD_VERSION=$(BUILD_VERSION) PACKAGE_VER_MAJOR=$(PACKAGE_VER_MAJOR) PACKAGE_VER_MINOR=$(PACKAGE_VER_MINOR) PACKAGE_VER_PATCH=$(PACKAGE_VER_PATCH) PACKAGE_RELEASE=$(PACKAGE_RELEASE) package

_installpackageall: installpackage

installpackage:
	$(MAKE) -f $(TEMPLATEDIR)/k8s.makefile installpackage

